<?php
session_start();
  //error_reporting(E_ALL);
  error_reporting(0);
 set_time_limit(0);
  ini_set('memory_limit','256M'); 
  ob_start();
  
	
  define('__ROOT__', dirname(dirname(__FILE__))); 
 // require_once(__ROOT__.'\siga\html\ClsGeneradorHtml.class.php'); 
 // require_once(__ROOT__.'\siga\Connections\dbms.class.php');
 // require_once(__ROOT__.'\siga\Connections\dbmy.class.php');
   require_once('html/ClsGeneradorHtml.class.php'); 
   require_once('Connections/dbms.class.php');
   require_once('Connections/dbmy.class.php');
$bd =new dbms('mysql','no');
	
	extract ($_POST); ///EXTRAE VARIABLES DE POST A VARIABLES SIMPLES CON EL MISMO NOMBRE
	extract ($_GET);

	function celda($letrai,$posi,$letraf,$posf,$valor,$hojaActiva,$tamano,$negrita,$tipo){
			$hojaActiva->mergeCells($letrai.$posi.':'.$letraf.$posf);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setWrapText(true);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
			$hojaActiva->getStyle($letrai.$posi.':'.$letraf.$posf)->getBorders()->getOutline()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
			if(!empty($tipo)){
                             $hojaActiva->setCellValueExplicit($letrai.$posi,utf8_decode($valor),PHPExcel_Cell_DataType::TYPE_STRING);
			}else{
                            $hojaActiva->setCellValue($letrai.$posi,utf8_decode($valor));
                        }
                        $hojaActiva->getStyle($letrai.$posi.':'.$letraf.$posf)->getFont()->setBold($negrita)->setSize($tamano);
                       
																
	}
	function celda1($letrai,$posi,$letraf,$posf,$valor,$hojaActiva,$tamano,$negrita,$tipo){
			$hojaActiva->mergeCells($letrai.$posi.':'.$letraf.$posf);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setWrapText(true);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
			$hojaActiva->getStyle($letrai.$posi.':'.$letraf.$posf)->getBorders()->getOutline()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
			if(!empty($tipo)){
                              
                              $hojaActiva->setCellValueExplicit($letrai.$posi,$valor,PHPExcel_Cell_DataType::TYPE_STRING);
                        }else{
                            $hojaActiva->setCellValue($letrai.$posi,$valor);
                       }
			$hojaActiva->getStyle($letrai.$posi.':'.$letraf.$posf)->getFont()->setBold($negrita)->setSize($tamano);

																
	}
	if (!empty($cmdImprimir)){
		
		
			//require_once (__ROOT__.'\pregrado\phpexcel\Classes\PHPExcel\IOFactory.php');
			require_once ('phpexcel/Classes/PHPExcel/IOFactory.php');
            $objPHPExcel = PHPExcel_IOFactory::load("becados.xls");	

			
			// Actualiza los inscritos.
			//$sql = "update alumnos,historial_alumnos set alumnos.status='S' 
				//	where alumnos.id_alumno=historial_alumnos.id_alumno";
			//$bd->EjecutarQuery($sql);

			if($condicion=="0"){
			   $sql = "SELECT DISTINCT alumnos.cedula, alumnos.apellidos, alumnos.nombres,date_format(alumnos.fecha_nac,'%d/%m/%Y') as fecha,alumnos.cuenta_bancaria,mencion
			   FROM alumnos
			   where alumnos.tipo_estudiante='BECADO'
			   ORDER BY convert(alumnos.cedula,signed)"; 

			}
			if($condicion=="1"){
			   $sql = "SELECT DISTINCT alumnos.cedula, alumnos.apellidos, alumnos.nombres,date_format(alumnos.fecha_nac,'%d/%m/%Y') as fecha,alumnos.cuenta_bancaria,historial_alumnos.mencion
			   FROM alumnos, historial_alumnos
			   where alumnos.id_alumno=historial_alumnos.id_alumno and historial_alumnos.id_periodo=$id_periodo and  alumnos.tipo_estudiante='BECADO'
			   ORDER BY alumnos.cedula";
                          
			}
			if($condicion=="2"){
			   $sql = "SELECT cedula, apellidos, nombres,date_format(alumnos.fecha_nac,'%d/%m/%Y') as fecha,cuenta_bancaria,mencion,id_alumno
			   FROM `alumnos` WHERE tipo_estudiante = 'BECADO' AND status='N'
			   ORDER BY convert(alumnos.cedula,signed)";
			   
			   

			}
			if($condicion=="0"){
			   $titulo ="ESTUDIANTES BECADOS";
			}
			if($condicion=="1"){
			   $titulo ="ESTUDIANTES BECADOS INSCRITOS EN EL SIGA";
			}
			if($condicion=="2"){
			   $titulo ="ESTUDIANTES BECADOS NO INSCRITOS EN EL SIGA";
			}
                        
			$hojaActiva=$objPHPExcel->setActiveSheetIndex(0);
			
			//celda1('J1','J1',$titulo,$hojaActiva,8,false);
			$posinicial = 9;
			$posifinal=9;	
			$cont=1;
			$bd->EjecutarQuery($sql);
			$datadocumento=$bd->DatosArray();
			if (($bd->count()) > 0){					
				foreach($datadocumento as $clave=>$registro){
					
					celda1('A',$posinicial,'A',$posifinal,$cont,$hojaActiva,8,false);
					celda1('B',$posinicial,'B',$posifinal,$datadocumento[$clave]['cedula'],$hojaActiva,8,false);
					celda1('C',$posinicial,'J',$posifinal,$datadocumento[$clave]['nombres'],$hojaActiva,8,false);
					celda1('K',$posinicial,'M',$posifinal,$datadocumento[$clave]['apellidos'],$hojaActiva,8,false);
					celda1('N',$posinicial,'O',$posifinal,$datadocumento[$clave]['fecha'],$hojaActiva,8,false);
					celda1('AH',$posinicial,'AO',$posifinal,$datadocumento[$clave]['cuenta_bancaria'],$hojaActiva,8,false,'s');
					celda1('AP',$posinicial,'AP',$posifinal,$datadocumento[$clave]['mencion'],$hojaActiva,8,false);
					$cont++;
					$posinicial=$posifinal+1;
					$posifinal=$posifinal+1;
				}

			}
			$posifinal=$posifinal+9;
			
			//ob_get_flush();
				ob_end_clean();
    
    
    
					// Redirect output to a clients web browser (Excel5)
					header('Content-Type: application/vnd.ms-excel;charset=utf-8');
					header('Content-Disposition: attachment;filename="Estudiantes Becados.xls"');
					header('Cache-Control: max-age=0');

					$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
					///$objWriter->save('./pdf_files/ICR_'.$mes.'-'.$ano.'.xls');
					$objWriter->save('php://output');

		
	}else{	

		$ClsGeneradorHtml=new ClsGeneradorHtml("","");
		$forma= $ClsGeneradorHtml->Pagina_Top("Estudiantes Becados","",$script);
		echo $forma;
		echo $ClsGeneradorHtml->Pagina_Inicio_Body();
		echo "<FORM  method='POST' name='frmcerrar' target='_self' title='Cerrar'>
					<center>
						 <INPUT TYPE='SUBMIT'  name='cmdImprimir' value='Imprimir' align='middle'   title='Generar' >
						<INPUT TYPE='SUBMIT'   name='cmdCerrar' value='Cerrar' align='middle'  onClick='window.close();' title='Cerrar' >
			  </center>
			 </FORM>";	
		echo $ClsGeneradorHtml->Pagina_Fin_Body();
		echo $ClsGeneradorHtml->Pagina_Fin_Html();
		

	}
	
			
?>
